org.apache.maven.scm.provider.tfs.command

## Class TfsAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsAddCommand

All Implemented Interfaces:
  Command

    public class TfsAddCommand
    extends AbstractAddCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TfsAddCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TfsCommand` `createCommand(ScmProviderRepository r, ScmFileSet f)`
`protected ScmResult` `executeAddCommand(ScmProviderRepository r, ScmFileSet f, String m, boolean b)`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsAddCommand

    public TfsAddCommand()

### Method Detail

#### executeAddCommand

    protected ScmResult executeAddCommand(ScmProviderRepository r,
                                          ScmFileSet f,
                                          String m,
                                          boolean b)
                                   throws ScmException

Specified by:
  `executeAddCommand` in class `AbstractAddCommand`
Throws:
  `ScmException`

#### createCommand

    public TfsCommand createCommand(ScmProviderRepository r,
                                    ScmFileSet f)